Cantera 2.6.0

Namespaces | Functions
DebyeHuckel.cpp File Reference

Declarations for the DebyeHuckel ThermoPhase object, which models dilute electrolyte solutions (see Thermodynamic Properties and DebyeHuckel ). More...

`#include "cantera/thermo/DebyeHuckel.h"`
`#include "cantera/thermo/ThermoFactory.h"`
`#include "cantera/thermo/Species.h"`
`#include "cantera/thermo/PDSS_Water.h"`
`#include "cantera/thermo/PDSS_ConstVol.h"`
`#include "cantera/thermo/electrolytes.h"`
`#include "cantera/base/stringUtils.h"`
`#include "cantera/base/ctml.h"`
`#include <cstdio>`
Include dependency graph for DebyeHuckel.cpp:

Go to the source code of this file.

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Functions
static int | interp_est (const std::string &estString)
| Utility function to assign an integer value from a string for the ElectrolyteSpeciesType field. More...

## Detailed Description

Declarations for the DebyeHuckel ThermoPhase object, which models dilute electrolyte solutions (see Thermodynamic Properties and DebyeHuckel ).

Class DebyeHuckel represents a dilute liquid electrolyte phase which obeys the Debye Huckel formulation for nonideality.

Definition in file DebyeHuckel.cpp.